Help us shape the future of Go! Take the 2026 Go Developer Survey

endpoints

package
v0.33.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Aug 10, 2022 License: MIT Imports: 4 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type EndpointsRequestBuilder

type EndpointsRequestBuilder struct {
	// contains filtered or unexported fields
}

EndpointsRequestBuilder provides operations to manage the endpoints property of the microsoft.graph.printService entity.

func NewEndpointsRequestBuilder

NewEndpointsRequestBuilder instantiates a new EndpointsRequestBuilder and sets the default values.

func NewEndpointsRequestBuilderInternal

func NewEndpointsRequestBuilderInternal(pathParameters map[string]string, requestAdapter i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestAdapter) *EndpointsRequestBuilder

NewEndpointsRequestBuilderInternal instantiates a new EndpointsRequestBuilder and sets the default values.

func (*EndpointsRequestBuilder) Count added in v0.13.0

Count the Count property

func (*EndpointsRequestBuilder) CreateGetRequestInformation

CreateGetRequestInformation endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) CreateGetRequestInformationWithRequestConfiguration added in v0.22.0

CreateGetRequestInformationWithRequestConfiguration endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) CreatePostRequestInformation

CreatePostRequestInformation create new navigation property to endpoints for print

func (*EndpointsRequestBuilder) CreatePostRequestInformationWithRequestConfiguration added in v0.22.0

CreatePostRequestInformationWithRequestConfiguration create new navigation property to endpoints for print

func (*EndpointsRequestBuilder) Get

Get endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) GetWithRequestConfigurationAndResponseHandler added in v0.22.0

GetWithRequestConfigurationAndResponseHandler endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) PostWithRequestConfigurationAndResponseHandler added in v0.22.0

PostWithRequestConfigurationAndResponseHandler create new navigation property to endpoints for print

type EndpointsRequestBuilderGetQueryParameters

type EndpointsRequestBuilderGetQueryParameters struct {
	// Include count of items
	Count *bool `uriparametername:"%24count"`
	// Expand related entities
	Expand []string `uriparametername:"%24expand"`
	// Filter items by property values
	Filter *string `uriparametername:"%24filter"`
	// Order items by property values
	Orderby []string `uriparametername:"%24orderby"`
	// Search items by search phrases
	Search *string `uriparametername:"%24search"`
	// Select properties to be returned
	Select []string `uriparametername:"%24select"`
	// Skip the first n items
	Skip *int32 `uriparametername:"%24skip"`
	// Show only the first n items
	Top *int32 `uriparametername:"%24top"`
}

EndpointsRequestBuilderGetQueryParameters endpoints that can be used to access the service. Read-only. Nullable.

type EndpointsRequestBuilderGetRequestConfiguration added in v0.22.0

type EndpointsRequestBuilderGetRequestConfiguration struct {
	// Request headers
	Headers map[string]string
	// Request options
	Options []i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestOption
	// Request query parameters
	QueryParameters *EndpointsRequestBuilderGetQueryParameters
}

EndpointsRequestBuilderGetRequestConfiguration configuration for the request such as headers, query parameters, and middleware options.

type EndpointsRequestBuilderPostRequestConfiguration added in v0.22.0

type EndpointsRequestBuilderPostRequestConfiguration struct {
	// Request headers
	Headers map[string]string
	// Request options
	Options []i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestOption
}

EndpointsRequestBuilderPostRequestConfiguration configuration for the request such as headers, query parameters, and middleware options.

Directories

Path Synopsis

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL